var currentTab = 0; // Current tab is set to be the first tab (0)
showTab(currentTab); // Display the crurrent tab

function showTab(n) {
  // This function will display the specified tab of the form...
  var x = document.getElementsByClassName("tab");
  x[n].style.display = "block";
  //... and fix the Previous/Next buttons:
  if (n == 0) {
    document.getElementById("prevBtn").style.display = "none";
  } else {
    document.getElementById("prevBtn").style.display = "inline";
  }
  if (n == (x.length - 1)) {
    document.getElementById("nextBtn").innerHTML = "Submit";
  } else {
    document.getElementById("nextBtn").innerHTML = "Next";
  }
  //... and run a function that will display the correct step indicator:
  fixStepIndicator(n)
}

function nextPrev(n) {
  // This function will figure out which tab to display
  var x = document.getElementsByClassName("tab");
  // Exit the function if any field in the current tab is invalid:
  if (n == 1 && !validateForm()) return false;
  // Hide the current tab:
  x[currentTab].style.display = "none";
  // Increase or decrease the current tab by 1:
  currentTab = currentTab + n;
  // if you have reached the end of the form...
  if (currentTab >= x.length) {
    // ... the form gets submitted:
    document.getElementById("regForm").submit();
    return false;
  }
  // Otherwise, display the correct tab:
  showTab(currentTab);
}

function validateForm() {
  // This function deals with validation of the form fields
  var x, y, z, i, valid = true;
  x = document.getElementsByClassName("tab");
  y = x[currentTab].getElementsByTagName("input");
  z = x[currentTab].getElementsByTagName("textarea");
  var emailVal = "";
  // A loop that checks every input field in the current tab:
  for (i = 0; i < y.length; i++) {
    if (y[i].name == "email") {
      emailVal = y[i].value;
      var mailformat = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
      if (!y[i].value.match(mailformat)) {
        alert("You have entered an invalid email address!");
        y[i].value = "";
        document.getElementsByName("verifyEmail")[0].value = "";
        // add an "invalid" class to the field:
        y[i].className += " invalid";
        // and set the current valid status to false
        valid = false;
      }
    }
    if (y[i].name == "verifyEmail") {
      var mailformat = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
      if (!y[i].value.match(mailformat) && y[i].value != emailVal) {
        alert("Email verification failed");
        y[i].value = "";
        // add an "invalid" class to the field:
        y[i].className += " invalid";
        // and set the current valid status to false
        valid = false;
      }
    }
    // If a field is empty...
    if (y[i].value == "") {
      if (y[i].name == "paperId" || y[i].name == "paperTitle") {
        continue;
      }
      // add an "invalid" class to the field:
      y[i].className += " invalid";
      // and set the current valid status to false
      valid = false;
    }
  }

  for (i = 0; i < z.length; i++) {
    // If a field is empty...
    if (z[i].value == "") {
      // add an "invalid" class to the field:
      z[i].className += " invalid";
      // and set the current valid status to false
      valid = false;
    }
  }
  // If the valid status is true, mark the step as finished and valid:
  if (valid) {
    document.getElementsByClassName("step")[currentTab].className += " finish";
  }
  return valid; // return the valid status
}

function fixStepIndicator(n) {
  // This function removes the "active" class of all steps...
  var i, x = document.getElementsByClassName("step");
  for (i = 0; i < x.length; i++) {
    x[i].className = x[i].className.replace(" active", "");
  }
  //... and adds the "active" class on the current step:
  x[n].className += " active";
}


/* custom select */

var x, i, j, selElmnt, a, b, c;
/*look for any elements with the class "custom-select":*/
x = document.getElementsByClassName("custom-select");
for (i = 0; i < x.length; i++) {
  selElmnt = x[i].getElementsByTagName("select")[0];
  /*for each element, create a new DIV that will act as the selected item:*/
  a = document.createElement("DIV");
  a.setAttribute("class", "select-selected");
  a.innerHTML = selElmnt.options[selElmnt.selectedIndex].innerHTML;
  x[i].appendChild(a);
  /*for each element, create a new DIV that will contain the option list:*/
  b = document.createElement("DIV");
  b.setAttribute("class", "select-items select-hide");
  for (j = 0; j < selElmnt.length; j++) {
    /*for each option in the original select element,
    create a new DIV that will act as an option item:*/
    c = document.createElement("DIV");
    c.innerHTML = selElmnt.options[j].innerHTML;
    c.setAttribute("id", selElmnt.getAttribute("name") + "-" + j);
    c.addEventListener("click", function (e) {
      /*when an item is clicked, update the original select box,
      and the selected item:*/
      var y, i, k, s, h;
      s = this.parentNode.parentNode.getElementsByTagName("select")[0];
      h = this.parentNode.previousSibling;
      for (i = 0; i < s.length; i++) {
        if (s.options[i].innerHTML == this.innerHTML) {
          s.selectedIndex = i;
          h.innerHTML = this.innerHTML;
          y = this.parentNode.getElementsByClassName("same-as-selected");
          for (k = 0; k < y.length; k++) {
            y[k].removeAttribute("class");
          }
          this.setAttribute("class", "same-as-selected");
          break;
        }
      }
      h.click();
    });
    b.appendChild(c);
  }
  x[i].appendChild(b);
  a.addEventListener("click", function (e) {
    /*when the select box is clicked, close any other select boxes,
    and open/close the current select box:*/
    e.stopPropagation();
    closeAllSelect(this);
    this.nextSibling.classList.toggle("select-hide");
    this.classList.toggle("select-arrow-active");
  });
}

function closeAllSelect(elmnt) {
  /*a function that will close all select boxes in the document,
  except the current select box:*/
  var x, y, i, arrNo = [];
  x = document.getElementsByClassName("select-items");
  y = document.getElementsByClassName("select-selected");
  for (i = 0; i < y.length; i++) {
    if (elmnt == y[i]) {
      arrNo.push(i)
    } else {
      y[i].classList.remove("select-arrow-active");
    }
  }
  for (i = 0; i < x.length; i++) {
    if (arrNo.indexOf(i)) {
      x[i].classList.add("select-hide");
    }
  }
}
/*if the user clicks anywhere outside the select box,
then close all select boxes:*/
document.addEventListener("click", closeAllSelect);

/* Insert amount according to category choose */
var studentId = "<p><input placeholder=\"Student Id\" oninput=\"this.className = ''\" name=\"studentId\"></p>"
var paperDetails = ` 
<p>Details about the paper</p>
<p><input placeholder="Paper ID" oninput="this.className = ''" name="paperId"></p>
<p><input placeholder="Title" oninput="this.className = ''" name="paperTitle"></p>`;


var priceList = {
  "LK": {
    "IEEE_MEMBER": {
      "PRS":13500,
      "PRN" :18000,
      "APR_PRS":9000,
      "APR_PRN":13500,
      "PA":1000
    },
    "NON_IEEE_MEMBER": {
       "PRS":15000,
      "PRN" :20000,
      "APR_PRS":10000,
      "APR_PRN":15000,
      "PA":1000
    }
  },
  "FO": {
    "IEEE_MEMBER": {
      "PRS":118,
      "PRN" :135,
      "APR_PRS":90,
      "APR_PRN":108,
      "PA":100
    },
    "NON_IEEE_MEMBER": {
       "PRS":120,
      "PRN" :150,
      "APR_PRS":100,
      "APR_PRN":120,
      "PA":100
    }
  }
}
var curruncry = "LKR"
// $("#participentStatus").on('change', function() {
//   alert( this.value );
// });
$("#participentStatus-1").click(function () {
  $("div.paperDetails").html(paperDetails);
  
    changePrice();
});
 $("#participentStatus-2").click(function () {
  $("div.paperDetails").html(paperDetails);
  
    changePrice();
});
 $("#participentStatus-3").click(function () {
  $("div.paperDetails").html(paperDetails);
  
    changePrice();
});

 $("#participentStatus-4").click(function () {
  $("div.paperDetails").html(paperDetails);
  
    changePrice();
});


[$("#participentStatus-0"),$("#participentStatus-5")].forEach(function (b) {
  b.click(function () {
    $("div.paperDetails").html("");
    changePrice();
  })
})


$("#country-1").click(function () {
  curruncry = "LKR";
  changePrice();
});
$("#country-2").click(function () {
  curruncry = "USD";
  changePrice();
});


[$("#memberShipStatus-1"), $("#memberShipStatus-2"), $("#memberShipStatus-3"), $("#memberShipStatus-4"), $("#memberShipStatus-5")].forEach(function (b) {
  b.click(function () {
    changePrice();
  })
});

function changePrice() {
  const prType = $("#participentStatus").val();
  const member = $("#memberShipStatus").val();
  const country = $("#country").val();
  console.log(country,member,prType)
  
  if(prType==="-1"||member==="-1"||country==="-1"){
      return;
  }
  
  const price = priceList[country][member][prType];
  $("#amount").val(curruncry + " " + price);
}


// $('#file-upload').change(function() {
//     var filepath = this.value;
//     var m = filepath.match(/([^\/\\]+)$/);
//     var filename = m[1];
//     console.log(filename);
//     $('#filename').html(filename);

// });